curl --request POST \
--url https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"port": 8080
}
'import requests
url = "https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets"
payload = {
"target": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"port": 8080
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: 'd0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6', port: 8080})
};
fetch('https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target": {
"id": "c9d0e1f2-a3b4-4567-c8d9-e0f1a2b3c4d5",
"target_group_id": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4",
"target_ref": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"health": "healthy",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"port": 8080,
"last_seen_at": "2026-01-15T09:31:00Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Asociar un destino a este grupo
target debe coincidir con el target_type del grupo: una dirección IP para ip, un id de instancia de cálculo para instance. Un grupo function no toma ningún destino todavía, y un grupo pool-mode toma sus backends del pool de instancias — unirse a cualquiera de ellos es un error en lugar de una fila a la que nunca se enrutará nada.
loadbalancer:AttachTarget. Consulta permisos de balanceadores de carga para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Parámetros de ruta
UUID, CRN o nombre exacto del ámbito de la cuenta
"b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4"
Cuerpo
target es una IP literal para grupos de IP o un UUID de instancia, CRN o nombre exacto de ámbito de cuenta para grupos de instancia.
Debe coincidir con el target_type del grupo: una dirección IP para ip, un UUID de instancia de cómputo, CRN o nombre exacto de ámbito de cuenta para instance. Una ref ip tiene que ser una dirección de unicast enrutable — se rechazan direcciones de loopback, local de enlace (incluyendo el punto final de metadatos 169.254.169.254), multicast y direcciones no especificadas.
"d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6"
1 <= x <= 655358080
Respuesta
Creado
Show child attributes
Show child attributes

